#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;
    printf("Unesi N: ");
    scanf("%d", &n);
    unsigned int a[n], b[n], l, r;
    for(int i=0; i<n; i++){
        printf("Unesi %d. clan niza A: ", i+1);
        scanf("%d", &a[i]);
    }
    for(int i=0; i<n; i++){
        printf("Unesi %d. clan niza B: ", i+1);
        scanf("%d", &b[i]);
    }
    int ap, bp, pn, pnmax=0, tl, tr;
    for(int j=1; j<n; j++){
        l=j;
        for(int k=2; k<=n; k++){
            r=k;
            ap=a[l-1];
            bp=b[l-1];
            for(int i=l; i<=r-1; i++){
                ap=ap^a[i];
                bp=bp&b[i];
            }
            pn=ap*bp;
            if(pn>pnmax && l<=r){
                tl=l;
                tr=r;
                pnmax=pn;
            }
        }
    }
    printf("%d", pnmax);
}